    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.io.FilenameFilter

public interface FilenameFilter

Instances of classes that implement this interface are used to filter filenames. These instances are used to filter directory listings in the `list` method of class `File`, and by the Abstract Window Toolkit's file dialog component.

See Also:
  setFilenameFilter, File, list

##

accept(File, String)
  Tests if a specified file should be included in a file list.

##

accept

     public abstract boolean accept(File dir,
                                    String name)

  Tests if a specified file should be included in a file list.

  Parameters:
    dir - the directory in which the file was found.
    name - the name of the file.
  Returns:
    `true` if the name should be included in the file list; `false` otherwise.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.